Bug 8705 - Неправильное отображение названий композиций в локали UTF-8
: Неправильное отображение названий композиций в локали UTF-8
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 8717
  Show dependency tree
 
Reported: 2005-12-22 14:47 by
Modified: 2006-10-18 10:37 (History)


Attachments
Окно плейлиста (15.15 KB, image/png)
2005-12-22 14:49, Gennadij Redko
no flags Details
Окно gtk-switch (10.68 KB, image/png)
2005-12-22 14:56, Gennadij Redko
no flags Details
Тестовый доклет gtk-switch (8.33 KB, image/png)
2005-12-22 14:57, Gennadij Redko
no flags Details
xmms screenshot (53.23 KB, image/png)
2005-12-22 20:49, Valery Inozemtsev
no flags Details
еще скриншот (177.37 KB, image/png)
2005-12-23 15:50, Valery Inozemtsev
no flags Details
Разница между предложенным XLC_LOCALE и текущим. (2.57 KB, text/plain)
2005-12-23 17:11, Gennadij Redko
no flags Details
xmms (125.43 KB, image/png)
2005-12-23 19:42, Valery Inozemtsev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-22 14:47:39
При просмотре свойств ID3-тэгов -
названия выводятся правильно.
В бегущей строке проигрывателя и в окне плейлиста - кракозебры

grep font ~/.xmms/config
playlist_font=-rfx_koi8_ub-helvetica-bold-r-normal-*-*-100-*-*-p-*-koi8-ub
mainwin_font=-rfx_koi8_ub-helvetica-medium-r-normal-*-*-80-*-*-p-*-koi8-ub
shade_font=-rfx_koi8_ub-helvetica-medium-r-normal-*-*-80-*-*-p-*-koi8-ub
mainwin_use_xfont=TRUE
use_fontsets=FALSE
$ locale
LANG=ru_RU.UTF-8
LC_CTYPE="ru_RU.UTF-8"
LC_NUMERIC="ru_RU.UTF-8"
LC_TIME="ru_RU.UTF-8"
LC_COLLATE="ru_RU.UTF-8"
LC_MONETARY="ru_RU.UTF-8"
LC_MESSAGES="ru_RU.UTF-8"
LC_PAPER="ru_RU.UTF-8"
LC_NAME="ru_RU.UTF-8"
LC_ADDRESS="ru_RU.UTF-8"
LC_TELEPHONE="ru_RU.UTF-8"
LC_MEASUREMENT="ru_RU.UTF-8"
LC_IDENTIFICATION="ru_RU.UTF-8"
LC_ALL=
При попытке подставить шрифт:
-microsoft-verdana-medium-r-normal-*-*-120-*-*-p-*-iso10646-1
в ~/.xmms/config - кириллические символы  в окне плейлиста и окне плеера не
отображаются.

При попытке подставить шрифт iso10646-1 с помощью gtk-theme-switch - в окне с
тестовой формой поля с надписями остаются пустыми.
------- Comment #1 From 2005-12-22 14:49:37 -------
Created an attachment (id=1305) [details]
Окно плейлиста
------- Comment #2 From 2005-12-22 14:56:30 -------
Created an attachment (id=1306) [details]
Окно gtk-switch
------- Comment #3 From 2005-12-22 14:57:44 -------
Created an attachment (id=1307) [details]
Тестовый доклет gtk-switch
------- Comment #4 From 2005-12-22 20:36:13 -------
Принято и сильно хочется починить.

Валер, xorg с исправленной локалью явно не хватает, на них воспроизводится.
Жень, так мы что-то можем сделать или совсем-совсем никак?
------- Comment #5 From 2005-12-22 20:49:18 -------
Created an attachment (id=1308) [details]
xmms screenshot

я не совсем понимаю о чем речь. локаль починена еще 21 августа
------- Comment #6 From 2005-12-23 15:25:15 -------
Проблема в том, что в ru_RU.UTF-8 gtk1 не работают... Проверено на Компакт
3.0... 
Оптсание решения : http://wiki.fantoo.ru/index.php/HOWTO_GTK1_with_UTF8
------- Comment #7 From 2005-12-23 15:50:44 -------
Created an attachment (id=1310) [details]
еще скриншот

что бы не быть голословным, см. скриншот. еще раз повторяю - в иксах локаль
исправлена еще 17 августа (в бранче) и если у Вас что то не работает,
вспоминайте притчу про того танцора :-))
------- Comment #8 From 2005-12-23 15:56:04 -------
и еще. качаем https://fantoo.ru/svn/app-i18n/gtk1-utf8-fix/files/XLC_LOCALE и 
сравниваем с /usr/X11R6/lib/X11/locale/en_US.UTF-8/XLC_LOCALE 
------- Comment #9 From 2005-12-23 17:11:15 -------
Created an attachment (id=1311) [details]
Разница между предложенным XLC_LOCALE  и текущим.
------- Comment #10 From 2005-12-23 17:16:11 -------
дальнейшее обсуждение в этом направлении я считаю бессмысленным  
------- Comment #11 From 2005-12-23 17:26:14 -------
(In reply to comment #10)
> дальнейшее обсуждение в этом направлении я считаю бессмысленным  

Везет вранчу!
А Сизифу, видать, "не судьба" ...
------- Comment #12 From 2005-12-23 17:30:42 -------
$ cat /etc/altlinux-release 
ALT Linux Sisyphus (20051127) 
$ rpmquery xorg-x11-server 
xorg-x11-server-6.9.0-alt1 
еще вопросы будут? 
------- Comment #13 From 2005-12-23 17:38:53 -------
(In reply to comment #12)
> $ cat /etc/altlinux-release 
> ALT Linux Sisyphus (20051127) 
> $ rpmquery xorg-x11-server 
> xorg-x11-server-6.9.0-alt1 
> еще вопросы будут? 

$cat /etc/altlinux-release
ALT Linux Sisyphus (20051127)
$rpmquery xorg-x11-server
xorg-x11-server-6.8.99.903-alt3

date
Fri Dec 23 16:38:27 EET 2005



# apt-get update
Get:1 ftp://ftp.altlinux.com i586 release [2936B]
Get:2 ftp://ftp.altlinux.com i686 release [2790B]
Fetched 5726B in 4s (1241B/s)
Get:1 ftp://ftp.altlinux.com i586/classic pkglist [2428kB]
Get:2 ftp://ftp.altlinux.com i586/classic release [132B]
Get:3 ftp://ftp.altlinux.com i586/base pkglist [108kB]
Get:4 ftp://ftp.altlinux.com i586/base release [129B]
Get:5 ftp://ftp.altlinux.com i586/kernel pkglist [121kB]
Get:6 ftp://ftp.altlinux.com i586/kernel release [131B]
Get:7 ftp://ftp.altlinux.com i586/non-free pkglist [24.1kB]
Get:8 ftp://ftp.altlinux.com i586/non-free release [133B]
Get:9 ftp://ftp.altlinux.com i586/base srclist [47.8kB]
Get:10 ftp://ftp.altlinux.com i586/kernel srclist [37.8kB]
Get:11 ftp://ftp.altlinux.com i586/non-free srclist [8192B]
Get:12 ftp://ftp.altlinux.com i686/base pkglist [860B]
Get:13 ftp://ftp.altlinux.com i686/base release [129B]
Fetched 2776kB in 1m18s (35.4kB/s)
Reading Package Lists... Done
Building Dependency Tree... Done

# rpm -qa |grep xorg-x11-server
xorg-x11-server-common-6.8.99.903-alt3
xorg-x11-server-6.8.99.903-alt3



------- Comment #14 From 2005-12-23 17:42:53 -------
ой и правда циферки меньше... в сизифе локаль в иксах не менялась с 21 августа 
------- Comment #15 From 2005-12-23 19:04:48 -------
Валер, ты можешь попробовать то же самое e.g. на установленном с нуля на
_чистые_ / с /home brahcn-3.0 или Sisyphus?  У меня -- два раза _не_ работает.

Я безусловно тормоз, но: xorg-x11-locales-6.8.99.903-alt2 _не_ содержит
/usr/X11R6/lib/X11/locale/ru_RU.UTF-8 (правда, и в gtkrc.ru_RU.utf8 упомянуты
шрифты, которых нет на системе).

_Если_ положить туда (в /usr/X11R6/lib/locale) файлики согласно HOWTO с фанства
и прописать в /etc/gtk/gtkrc.ru_RU.utf8 e.g.
-monotype-arial-medium-r-*-*-*-*-*-*-*-*-iso10646-* (у меня не нашлось
helvetica*iso10646; Женя говорит, что verdana при этом не работает) -- всё
заводится.  На моей машине (branch попробую проверить на выходных).

Я сейчас, пожалуй, сверну и положу у себя хакообразный пакетик, который будет
это фиксить...
------- Comment #16 From 2005-12-23 19:42:13 -------
Created an attachment (id=1312) [details]
xmms

Мишь, я не просто так предложил сравнить те два файла. ru_RU.UTF-8 нет и быть
не должно
------- Comment #17 From 2005-12-23 22:57:33 -------
(In reply to comment #16)
> Мишь, я не просто так предложил сравнить те два файла. ru_RU.UTF-8 нет и быть
> не должно
Валер, я предположил, что ты это так и сделал.  Но ещё раз повторюсь -- если
получится, посмотри на _чистой_ системе.  Действительно похоже, что у тебя есть
что-то, созданное локально, но не принадлежащее пакетам.

5kd}

Гм.  Подумал.  _Оставил_ изменённые настройки в /etc/gtk/gtkrc.ru_RU.utf8,
откатил /usr/X11R6/lib/X11/locale/{compose,locale}.* на затаренные твои, убрал
/usr/X11R6/lib/X11/locale/ru_RU.UTF-8 в сторону, грохнул :1, запустил, проверил.

Работает.

Для проверки сделал rpm -V xorg-x11-locales (чисто) и find
/usr/X11R6/lib/X11/locale -type f | xargs rpm -qf >/dev/null (только бэкапы).

Какой сок, говоришь? :-)

PS: а gtk+ надо будет подобрать и профиксить, пусть лучше за собой лишний
шрифтовой пакет таскает, да работает...
------- Comment #18 From 2005-12-26 18:52:35 -------
Бу сделано!
------- Comment #19 From 2005-12-26 21:57:39 -------
fixed in xmms-1.2.10-alt8.M30.1

please test off backports/3.0, will land in Sisyphus based on alt9.gns4 (rusxmms2)
------- Comment #20 From 2005-12-28 10:49:33 -------
(In reply to comment #19)
> fixed in xmms-1.2.10-alt8.M30.1
> 
> please test off backports/3.0, will land in Sisyphus based on alt9.gns4 (rusxmms2)

[ packets]# rpm -ihv libxmms-1.2.10-alt8.M30.1.i586.rpm
Preparing...                        
####################################################################################################
libxmms                             
####################################################################################################
[ packets]# rpm -ihv xmms-1.2.10-alt8.M30.1.i586.rpm
Preparing...                        
####################################################################################################
xmms                                
####################################################################################################
[ packets]# rpm -ihv xmms-cyr-setup-1.2.10-alt8.M30.1.i586.rpm
error: failed dependencies:
        XFree86-cyr_rfx-fonts-iso10646-0400 is needed by
xmms-cyr-setup-1.2.10-alt8.M30.1
------- Comment #21 From 2005-12-28 11:12:58 -------
(In reply to comment #19)
> fixed in xmms-1.2.10-alt8.M30.1
> 
> please test off backports/3.0, will land in Sisyphus based on alt9.gns4 (rusxmms2)

Если добавить фонт из Сизифа - работает.
А в Сизифе этот патчик - будет?
Или будете xorg-server патчить?
------- Comment #22 From 2006-02-17 20:17:44 -------
Будем. :)
------- Comment #23 From 2006-04-27 15:22:20 -------
Так.  У меня на 3.0 оно вполне работает.  Что-то ещё осталось из проблем?
------- Comment #24 From 2006-06-05 23:14:07 -------
УМВР (c)

Валер, ещё раз спасибо за терпеливое пояснение.
------- Comment #25 From 2006-10-18 00:04:56 -------
gtk+ и xmms, которые работают, давно в backports/3.0 и Sisyphus